Page MenuHomePhabricator

Rollout plan for real-time preview
Open, Stalled, Needs TriagePublic

Description

This task is for planning the rollout of the real-time preview.

Documentation for feature still needs to be written.

Rollout plan (not finalized):

Prior consultation is needed to determine the pilots wikis. Translations should also be in place.

Event Timeline

Change 774182 had a related patch set uploaded (by Samwilson; author: Samwilson):

[operations/mediawiki-config@master] [config] Enable Realtime Preview on Beta enwiki, enwikisource, and hewiktionary

https://gerrit.wikimedia.org/r/774182

Enable on Beta cluster – Beta English Wikipedia and Wikisource only, since Realtime Preview changes the UI slightly for everyone even when you don't have it turned on

I've added hewiktionary to this so we've got an RTL wiki to see it on (e.g. T304487).

Change 774182 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Realtime Preview on Beta enwiki, enwikisource, and hewiktionary

https://gerrit.wikimedia.org/r/774182

Change 796385 had a related patch set uploaded (by Samwilson; author: Samwilson):

[operations/mediawiki-config@master] Enable Realtime Preview on more pilot wikis: huwiki, viwiki, fawiki, fiwiki

https://gerrit.wikimedia.org/r/796385

Second round of pilots, opt-in beta feature: huwiki, viwiki, fawiki, fiwiki

The wiki schedule includes cawiki in this list. Should that be included, or is it just these four?

I've scheduled the deployment for 2022-05-24 07:00 UTC (without cawiki for now, but it's easy enough to add it in).

Rescheduled for 2022-05-26 07:00 UTC with only huwiki and fiwiki now (as the others are on Vector-2022 and so need T307725 resolved first).

Change 796385 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Realtime Preview on more pilot wikis: huwiki and fiwiki

https://gerrit.wikimedia.org/r/796385

Mentioned in SAL (#wikimedia-operations) [2022-05-26T07:15:21Z] <ariel@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:796385|Enable Realtime Preview on more pilot wikis: huwiki and fiwiki (T303961)]] (duration: 00m 51s)

Change 804806 had a related patch set uploaded (by Samwilson; author: Samwilson):

[operations/mediawiki-config@master] Enable Realtime Preview on cawiki, viwiki, and fawiki

https://gerrit.wikimedia.org/r/804806

Change 804806 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Realtime Preview on cawiki, viwiki, and fawiki

https://gerrit.wikimedia.org/r/804806

Mentioned in SAL (#wikimedia-operations) [2022-06-14T07:22:30Z] <taavi@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:804806|Enable Realtime Preview on cawiki, viwiki, and fawiki (T303961)]] (duration: 03m 20s)

I think all the deployment rollout items are done for now, according to the release timeline. Next ones will be groups 0 and 1 in October.

Now we work on the various bugs, and wait for performance review, I think?

Samwilson changed the task status from Open to Stalled.Mon, Jun 27, 9:49 AM